<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Tiobon.Core.Api</name>
    </assembly>
    <members>
        <member name="T:Tiobon.Core.Controllers.AuthorizeController">
            <summary>
            登录管理【无权限】
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.#ctor(Tiobon.Core.IServices.ISysUserInfoServices,Tiobon.Core.IServices.IGhrs_UserServices,Tiobon.Core.AuthHelper.PermissionRequirement,Tiobon.Core.IServices.IRoleModulePermissionServices,Microsoft.Extensions.Logging.ILogger{Tiobon.Core.Controllers.AuthorizeController})">
            <summary>
            构造函数注入
            </summary>
            <param name="sysUserInfoServices"></param> 
            <param name="ghrs_UserServices"></param> 
            <param name="requirement"></param>
            <param name="roleModulePermissionServices"></param>
            <param name="logger"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.GetJwtStr(System.String,System.String)">
            <summary>
            获取JWT的方法1
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.GetJwtStrForNuxt(System.String,System.String)">
            <summary>
            获取JWT的方法2：给Nuxt提供
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.GetJwtToken3(System.String,System.String)">
            <summary>
            获取JWT的方法3：整个系统主要方法
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.RefreshToken(System.String)">
            <summary>
            请求刷新Token（以旧换新）
            </summary>
            <param name="token"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.Login(Tiobon.Core.Controllers.SwaggerLoginRequest)">
            <summary>
            用户登录
            </summary>
            <param name="loginRequest"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.AuthorizeController.AutoLogin(System.Nullable{System.Int64})">
            <summary>
            用户自动登录
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Controllers.BaseController`5">
            <summary>
            增删改查基础服务
            </summary>
            <typeparam name="IServiceBase"></typeparam>
            <typeparam name="TEntity"></typeparam>
            <typeparam name="TEntityDto"></typeparam>
            <typeparam name="TInsertDto"></typeparam>
            <typeparam name="TEditDto"></typeparam>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.#ctor(`0)">
            <summary>
            初始化 (注入)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.QueryByFilter(Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.QueryById(System.Int64)">
            <summary>
             根据Id查询数据
            </summary>
            <param name="Id">主键ID</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.QueryForm(Tiobon.Core.Common.QueryForm)">
            <summary>
             查询菜单表单信息
            </summary>
            <param name="body">body</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.Insert(`3)">
            <summary>
            新增数据
            </summary>
            <param name="insertModel"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.BulkInsert(System.Collections.Generic.List{`3})">
            <summary>
            批量新增数据
            </summary>
            <param name="insertModels"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.Put(System.Int64,`4)">
            <summary>
            更新数据
            </summary>
            <param name="Id">主键ID</param>
            <param name="editModel"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.BulkUpdate(System.Collections.Generic.Dictionary{System.Int64,`4})">
            <summary>
             批量更新数据
            </summary>
            <param name="editModels"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.Delete(System.Int64)">
            <summary>
            删除数据
            </summary>
            <param name="Id">主键ID</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.BulkDelete(System.Int64[])">
            <summary>
            批量删除数据
            </summary>
            <param name="Ids">主键IDs</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.BaseController`5.ExportExcel(Tiobon.Core.Common.QueryExport)">
            <summary>
            Excel导出
            </summary>
            <param name="body"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Controllers.TiobonController">
            <summary>
            博客管理
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.#ctor(Microsoft.Extensions.Logging.ILogger{Tiobon.Core.Controllers.TiobonController})">
            <summary>
            构造函数
            </summary>
            <param name="logger"></param>
            
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.Get(System.Int32,System.Int32,System.String,System.String)">
            <summary>
            获取博客列表【无权限】
            </summary>
            <param name="id"></param>
            <param name="page"></param>
            <param name="bcategory"></param>
            <param name="key"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.Get(System.Int64)">
            <summary>
            获取博客详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.DetailNuxtNoPer(System.Int64)">
            <summary>
            获取详情【无权限】
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.V2_Tiobontest">
            <summary>
            获取博客测试信息 v2版本
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.Post(Tiobon.Core.Model.Models.TiobonArticle)">
            <summary>
            添加博客【无权限】
            </summary>
            <param name="TiobonArticle"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.AddForMVP(Tiobon.Core.Model.Models.TiobonArticle)">
            <summary>
            
            </summary>
            <param name="TiobonArticle"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.Put(Tiobon.Core.Model.Models.TiobonArticle)">
            <summary>
            更新博客信息
            </summary>
            <param name="TiobonArticle"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.Delete(System.Int64)">
            <summary>
            删除博客
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TiobonController.ApacheTestUpdate">
            <summary>
            apache jemeter 压力测试
            更新接口
            </summary>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Controllers.CommonController">
            <summary>
            公共服务
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.#ctor(Microsoft.Extensions.Logging.ILogger{Tiobon.Core.Controllers.TiobonController},Tiobon.Core.IServices.ICommonServices)">
            <summary>
            构造函数
            </summary> 
            <param name="logger"></param>
            <param name="commonServices"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.GetMenuAsync(Tiobon.Core.Model.MenuParam)">
            <summary>
            获取菜单
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.GetModuleInfoAsync(Tiobon.Core.Model.ModuleParam)">
            <summary>
            获取模块信息接口
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.GetSelectAsync(System.String,System.String)">
            <summary>
            获取模块信息接口
            </summary>
            <param name="type"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.ExportExcelAsync(Tiobon.Core.Common.QueryExport)">
            <summary>
            导出Excel
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.DownImportTemplateAsync(Tiobon.Core.Common.QueryExport)">
            <summary>
            下载导入模板Excel
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.CommonController.ImportExcelAsync(Microsoft.AspNetCore.Http.IFormFile,System.String,System.Int32,System.Int32)">
            <summary>
            Excel导入
            </summary>
            <param name="file">文件</param>
            <param name="menuName">菜单编号</param>
            <param name="userId">用户ID</param>
            <param name="langId">多语</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.#ctor(SqlSugar.ISqlSugarClient,Microsoft.AspNetCore.Hosting.IWebHostEnvironment)">
            <summary>
            构造函数
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.GetFrameFiles">
            <summary>
            获取 整体框架 文件(主库)(一般可用第一次生成)
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.GetFrameFilesByTableNames(System.String[],System.String)">
            <summary>
            获取仓储层和服务层(需指定表名和数据库)
            </summary>
            <param name="ConnID">数据库链接名称</param>
            <param name="tableNames">需要生成的表名</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.GetFrameFilesByTableNamesForEntity(System.String[],System.String)">
            <summary>
            获取实体(需指定表名和数据库)
            </summary>
            <param name="ConnID">数据库链接名称</param>
            <param name="tableNames">需要生成的表名</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.GetFrameFilesByTableNamesForController(System.String[],System.String)">
            <summary>
            获取控制器(需指定表名和数据库)
            </summary>
            <param name="ConnID">数据库链接名称</param>
            <param name="tableNames">需要生成的表名</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.DbFirstController.GetAllFrameFilesByTableNames(System.String,System.String)">
            <summary>
            DbFrist 根据数据库表名 生成整体框架,包含Model层(一般可用第一次生成)
            </summary>
            <param name="ConnID">数据库链接名称</param>
            <param name="tableName">需要生成的表名</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.MigrateController.DataMigrateFromOld2New">
            <summary>
            获取权限部分Map数据（从库）
            迁移到新库（主库）
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.MigrateController.SaveData2TsvAsync">
            <summary>
            权限数据库导出tsv
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.MigrateController.SaveData2ExcelAsync">
            <summary>
            权限数据库导出excel
            </summary>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Controllers.FileController">
            <summary>
            文件服务
            </summary>
        </member>
        <member name="F:Tiobon.Core.Controllers.FileController._configuration">
            <summary>
            配置信息
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.FileController.#ctor(Microsoft.Extensions.Logging.ILogger{Tiobon.Core.Controllers.TiobonController},Microsoft.Extensions.Configuration.IConfiguration,Microsoft.AspNetCore.Hosting.IWebHostEnvironment,Tiobon.Core.IServices.IGhre_AttachmentServices)">
            <summary>
            构造函数
            </summary>
            <param name="logger"></param>
            <param name="configuration"></param>
            <param name="hostingEnvironment"></param>
            <param name="ghre_AttachmentServices"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.FileController.UploadImageAsync(Microsoft.AspNetCore.Http.IFormFileCollection)">
            <summary>
            上传图片
            </summary>
            <param name="fileList"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.FileController.Download(System.Int64)">
            <summary>
            获取图片
            </summary>
            <param name="Id">主键ID</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.FileController.UploadLargeAsync(Tiobon.Core.Model.ChunkUpload)">
            <summary>
            分片上传
            </summary>
            <param name="upload"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Controllers.LoginController">
            <summary>
            登录管理【无权限】
            </summary>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.#ctor(Tiobon.Core.IServices.IGhrs_UserServices,Tiobon.Core.IServices.IUserRoleServices,Tiobon.Core.IServices.IRoleServices,Tiobon.Core.AuthHelper.PermissionRequirement,Tiobon.Core.IServices.IRoleModulePermissionServices,Microsoft.Extensions.Logging.ILogger{Tiobon.Core.Controllers.LoginController})">
            <summary>
            构造函数注入
            </summary>
            <param name="ghrs_UserServices"></param>
            <param name="userRoleServices"></param>
            <param name="roleServices"></param>
            <param name="requirement"></param>
            <param name="roleModulePermissionServices"></param>
            <param name="logger"></param>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.GetJwtStr(System.String,System.String)">
            <summary>
            获取JWT的方法1
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.GetJwtStrForNuxt(System.String,System.String)">
            <summary>
            获取JWT的方法2：给Nuxt提供
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.GetJwtToken3(System.String,System.String)">
            <summary>
            获取JWT的方法3：整个系统主要方法
            </summary>
            <param name="name"></param>
            <param name="pass"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.RefreshToken(System.String)">
            <summary>
            请求刷新Token（以旧换新）
            </summary>
            <param name="token"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.Getjsonp(System.String,System.Int64,System.String,System.Int32,System.Int32)">
            <summary>
            获取JWT的方法4：给 JSONP 测试
            </summary>
            <param name="callBack"></param>
            <param name="id"></param>
            <param name="sub"></param>
            <param name="expiresSliding"></param>
            <param name="expiresAbsoulute"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.Md5Password(System.String)">
            <summary>
            测试 MD5 加密字符串
            </summary>
            <param name="password"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.SwgLogin(Tiobon.Core.Controllers.SwaggerLoginRequest)">
            <summary>
            swagger登录
            </summary>
            <param name="loginRequest"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.LoginController.WxLogin(System.String,System.String)">
            <summary>
            weixin登录
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.Get(System.Int32,System.String)">
            <summary>
            分页获取
            </summary>
            <param name="page"></param>
            <param name="key"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.Post(Tiobon.Core.Model.Models.Ghre_TasksQz)">
            <summary>
            添加计划任务
            </summary>
            <param name="tasksQz"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.Put(Tiobon.Core.Model.Models.Ghre_TasksQz)">
            <summary>
            修改计划任务
            </summary>
            <param name="tasksQz"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.Delete(System.Int64)">
            <summary>
            删除一个任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.StartJob(System.Int64)">
            <summary>
            启动计划任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.StopJob(System.Int64)">
            <summary>
            停止一个计划任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>        
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.PauseJob(System.Int64)">
            <summary>
            暂停一个计划任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>        
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.ResumeJob(System.Int64)">
            <summary>
            恢复一个计划任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>        
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.ReCovery(System.Int64)">
            <summary>
            重启一个计划任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.GetTaskNameSpace">
            <summary>
            获取任务命名空间
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.ExecuteJob(System.Int64)">
            <summary>
            立即执行任务
            </summary>
            <param name="jobId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.GetTaskLogs(System.Int64,System.Int32,System.Int32,System.Nullable{System.DateTime},System.Nullable{System.DateTime})">
            <summary>
            获取任务运行日志
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Controllers.TasksQzController.GetTaskOverview(System.Int64,System.Int32,System.Int32,System.Nullable{System.DateTime},System.Nullable{System.DateTime},System.String)">
            <summary>
            任务概况
            </summary>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghra_GradeController">
            <summary>
            年级(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghra_StaffController">
            <summary>
            Ghra_Staff(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghra_StaffController.QuerySimple(System.Int32)">
            <summary>
            根据Id查询数据
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghra_StaffLicenceController">
            <summary>
            Ghra_StaffLicence(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_AttachmentController">
            <summary>
            附件(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CertificateController">
            <summary>
            培训记录(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CertificateRuleController">
            <summary>
            培训证书规则(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseClassController">
            <summary>
            Ghre_CourseClass(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseController">
            <summary>
            课程(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_CourseController.QueryList(System.String,Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="status">status</param>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_CourseController.QuerySelectAsync(System.Nullable{System.Int64},System.String)">
            <summary>
            获取通用列表下拉
            </summary>
            <param name="linkId"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseSceneController">
            <summary>
            课程场景(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseSnapController">
            <summary>
            Ghre_CourseSnap(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseWareAttachmentController">
            <summary>
            课件附件(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CourseWareController">
            <summary>
            课件(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_CourseWareController.DownZip(System.Int64)">
            <summary>
            下载附件压缩包
            </summary>
            <param name="id">课件ID</param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_CreditPointController">
            <summary>
            学分记录(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_CreditPointController.QueryTotal(Tiobon.Core.Common.QueryBody)">
            <summary>
            查询明细数据
            </summary>
            <param name="body">body</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_CreditPointController.QueryDetail(Tiobon.Core.Common.QueryBody,System.String)">
            <summary>
            根据工号查询学分明细
            </summary>
            <param name="body"></param>
            <param name="staffId">员工ID</param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamController">
            <summary>
            考试(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.GetModuleInfo(Tiobon.Core.Model.ModuleParam)">
            <summary>
             查询初始化数据
            </summary> 
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.QueryList(System.String,Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="status">status</param>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.QueryDefault(System.Int64)">
            <summary>
            查询明细数据
            </summary>
            <param name="id">id</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.QueryStaff(System.Collections.Generic.List{System.Int32},System.String)">
            <summary>
            根据员工ID查询员工数据
            </summary>
            <param name="Ids">Ids</param>
            <param name="type">type</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.Insert1(System.Int64,Tiobon.Core.Model.DefaultGhre_ExamPageData)">
            <summary>
            新增
            </summary>
            <param name="id">id</param> 
            <param name="pageData">pageData</param> 
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.UpdateStatus(System.Int64[],System.String)">
            <summary>
            更新考试状态接口
            </summary>
            <param name="ids"></param>
            <param name="status"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.GetStatus(System.Int64)">
            <summary>
            获取考试状态接口
            </summary>
            <param name="id"></param> 
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.StartExam(System.Int64)">
            <summary>
            开始考试
            </summary>
            <param name="id">考试ID</param>  
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.Copy(System.Int64)">
            <summary>
            复制
            </summary>
            <param name="id">考试ID</param>  
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.QueryMessageLog(System.Int64)">
            <summary>
            查询考试通知记录接口
            </summary>
            <param name="id">考试ID</param>  
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.InsertMessageLog(Tiobon.Core.Model.Models.Ghre_ExamMessageLogDto)">
            <summary>
            提交考试通知记录
            </summary>
            <param name="insert">insert</param>  
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamController.QueryRuleStaff(System.Int64)">
            <summary>
            获取考试关联人员
            </summary>
            <param name="id">id</param> 
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamMessageLogController">
            <summary>
            考试通知记录(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamPaperConfigController">
            <summary>
            试卷配置(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController">
            <summary>
            试卷(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.QueryDefault(System.Int64)">
            <summary>
            根据Id查询数据
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.QueryList(System.String,Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="status">status</param>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.Insert1(Tiobon.Core.Model.DefaultGhre_ExamPaperPageData)">
            <summary>
            新增 
            </summary>
            <param name="insert"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.Update1(System.Int64,Tiobon.Core.Model.DefaultGhre_ExamPaperPageData)">
            <summary>
            更新 
            </summary>
            <param name="id"></param>
            <param name="insert"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.InsertConfig(Tiobon.Core.Model.Models.InsertGhre_ExamPaperConfigInput)">
            <summary>
            新增配置数据
            </summary>
            <param name="insert"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamPaperController.GetSelectAsync(System.Nullable{System.Int64},System.String)">
            <summary>
            获取通用列表下拉
            </summary>
            <param name="linkId"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamPaperQuestionController">
            <summary>
            试卷题目(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamRecordAnswerController">
            <summary>
            Ghre_ExamRecordAnswer(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController">
            <summary>
            考试记录(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.Query(System.String,Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="examId">examId</param>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.ExtendAsync(System.Int64)">
            <summary>
            获取考试记录明细扩展接口
            </summary>
            <param name="examRecordId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.CommentAsync(Tiobon.Core.Model.Ghre_ExamRecordExtend,System.Int64)">
            <summary>
            提交评语接口
            </summary>
            <param name="extend"></param>
            <param name="examRecordId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.QueryExamAsync(System.Int64)">
            <summary>
            获取考试信息
            </summary>
            <param name="id">学习记录ID/考试记录ID</param> 
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.StartExamAsync(System.Int64)">
            <summary>
            开始考试
            </summary> 
            <param name="examRecordId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.RetakeExamAsync(System.Int64)">
            <summary>
            重新考试
            </summary> 
            <param name="examRecordId"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_ExamRecordController.AnswerExamAsync(System.Int64,System.Collections.Generic.List{Tiobon.Core.Model.DefaultGhre_ExamPaperPreview})">
            <summary>
            答题
            </summary> 
            <param name="studyRecordId">学习记录ID</param>
            <param name="answers"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamRecordDetailController">
            <summary>
            Ghre_ExamRecordDetail(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_ExamStaffController">
            <summary>
            Ghre_ExamStaff(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_QuestionAnswerController">
            <summary>
            题目答案(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_QuestionController">
            <summary>
            题目(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_QuestionController.QueryFrom(System.Int64)">
            <summary>
            根据Id查询数据
            </summary>
            <param name="Id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_QuestionController.InsertFrom(Tiobon.Core.Model.FromGhre_QuestionPageData)">
            <summary>
            新增数据
            </summary>
            <param name="insertModel"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_QuestionController.UpdareFrom(System.Int64,Tiobon.Core.Model.FromGhre_QuestionPageData)">
            <summary>
            更新数据
            </summary>
            <param name="Id">主键ID</param>
            <param name="editModel"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_RequiredCourseController">
            <summary>
            必选修查询(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_SchoolAttachmentController">
            <summary>
            培训机构附件(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_SchoolController">
            <summary>
            培训机构(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_StudyRecordController">
            <summary>
            培训记录(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_StudyRecordController.QueryESSSearchFields(Tiobon.Core.Common.QueryBody)">
            <summary>
            获取ESS查询条件
            </summary>
            <param name="body"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_StudyRecordController.QueryESS(Tiobon.Core.Common.QueryBody)">
            <summary>
            获取ESS查询条件
            </summary>
            <param name="body"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_StudyRecordController.QueryCourse(Tiobon.Core.Common.QueryBody,System.Int64)">
            <summary>
            获取课程
            </summary>
            <param name="body"></param>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_StudyRecordController.Join(System.Int64)">
            <summary>
            加入学习
            </summary> 
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_StudyRuleController">
            <summary>
            必选修规则(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_StudyRuleResultController">
            <summary>
            必选修规则结果(Controller)
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Ghre_StudyRuleResultController.Query(System.Int64,Tiobon.Core.Common.QueryBody)">
            <summary>
            根据条件查询数据
            </summary>
            <param name="RuleId">RuleId</param>
            <param name="body">条件</param>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_StudyRuleStaffController">
            <summary>
            必选修规则人员(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_TeacherAttachmentController">
            <summary>
            Ghre_TeacherAttachment(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghre_TeacherController">
            <summary>
            Ghre_Teacher(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghro_DeptController">
            <summary>
            Ghro_Dept(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghrs_AttachmentController">
            <summary>
            Ghrs_Attachment(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghrs_ParaDetailController">
            <summary>
            Ghrs_ParaDetail(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Ghrs_UserController">
            <summary>
            系统用户(Controller)
            </summary>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Systems.CacheManageController">
            <summary>
            缓存管理
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.CacheManageController.Get">
            <summary>
            获取全部缓存
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.CacheManageController.Get(System.String)">
            <summary>
            获取缓存
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.CacheManageController.Post(System.String,System.String,System.Nullable{System.Int32})">
            <summary>
            新增
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.CacheManageController.Delete">
            <summary>
            删除全部缓存
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.CacheManageController.Delete(System.String)">
            <summary>
            删除缓存
            </summary>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Systems.DataBaseController">
            <summary>
            数据库管理
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DataBaseController.GetAllConfig">
            <summary>
            获取库配置
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DataBaseController.GetTableInfoList(System.String,Tiobon.Core.Model.Systems.DataBase.DataBaseReadType)">
            <summary>
            获取表信息
            </summary>
            <param name="configId">配置Id</param>
            <param name="readType">读取类型</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DataBaseController.GetColumnInfosByTableName(System.String,System.String,Tiobon.Core.Model.Systems.DataBase.DataBaseReadType)">
            <summary>
            获取表字段
            </summary>
            <param name="tableName">表名</param>
            <param name="configId">ConfigId</param>
            <param name="readType">读取类型</param>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DataBaseController.PutTableEditRemark(Tiobon.Core.Model.Systems.DataBase.EditTableInput)">
            <summary>
            编辑表备注
            </summary>
            <param name="input"></param>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DataBaseController.PutColumnEditRemark(Tiobon.Core.Model.Systems.DataBase.EditColumnInput)">
            <summary>
            编辑列备注
            </summary>
            <param name="input"></param>
        </member>
        <member name="T:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController">
            <summary>
            动态建表 CURD
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController.GetDynamicType">
            <summary>
            动态type
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController.GetDynamicType2">
            <summary>
            动态type 继承BaseEntity
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController.TestCreateTable">
            <summary>
            测试建表
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController.TestQuery">
            <summary>
            测试查询
            </summary>
            <returns></returns>
        </member>
        <member name="M:Tiobon.Core.Api.Controllers.Systems.DynamicCodeFirstController.TestInsert(System.String,System.String)">
            <summary>
            测试写入
            </summary>
            <returns></returns>
        </member>
        <member name="T:Tiobon.Core.Api.Filter.GlobalActionFilter">
            <summary>
            全局请求验证
            </summary>
        </member>
        <member name="P:Tiobon.Core.Api.Filter.GlobalActionFilter.Message">
            <summary>
            
            </summary>
        </member>
        <member name="M:Tiobon.Core.Api.Filter.GlobalActionFilter.OnActionExecuting(Microsoft.AspNetCore.Mvc.Filters.ActionExecutingContext)">
            <summary>
            
            </summary>
            <param name="filterContext"></param>
        </member>
        <member name="M:Tiobon.Core.Api.Filter.GlobalActionFilter.OnActionExecuted(Microsoft.AspNetCore.Mvc.Filters.ActionExecutedContext)">
            <summary>
            
            </summary>
            <param name="filterContext"></param>
        </member>
        <member name="M:Tiobon.Core.Api.Filter.GlobalActionFilter.OnResultExecuting(Microsoft.AspNetCore.Mvc.Filters.ResultExecutingContext)">
            <summary>
            
            </summary>
            <param name="filterContext"></param>
        </member>
        <member name="M:Tiobon.Core.Api.Filter.GlobalActionFilter.OnResultExecuted(Microsoft.AspNetCore.Mvc.Filters.ResultExecutedContext)">
            <summary>
            
            </summary>
            <param name="filterContext"></param>
        </member>
        <member name="T:Tiobon.Core.Filter.GlobalRouteAuthorizeConvention">
            <summary>
            Summary:全局路由权限公约
            Remarks:目的是针对不同的路由，采用不同的授权过滤器
            如果 controller 上不加 [Authorize] 特性，默认都是 Permission 策略
            否则，如果想特例其他授权机制的话，需要在 controller 上带上  [Authorize]，然后再action上自定义授权即可，比如 [Authorize(Roles = "Admin")]
            </summary>
        </member>
        <member name="T:Tiobon.Core.Filter.GlobalAuthorizeFilter">
            <summary>
            全局权限过滤器【无效】
            </summary>
        </member>
        <member name="T:Tiobon.Core.Filter.GlobalExceptionsFilter">
            <summary>
            全局异常错误日志
            </summary>
        </member>
        <member name="M:Tiobon.Core.Filter.GlobalExceptionsFilter.WriteLog(System.String,System.Exception)">
            <summary>
            自定义返回格式
            </summary>
            <param name="throwMsg"></param>
            <param name="ex"></param>
            <returns></returns>
        </member>
        <member name="P:Tiobon.Core.Filter.JsonErrorResponse.Message">
            <summary>
            生产环境的消息
            </summary>
        </member>
        <member name="P:Tiobon.Core.Filter.JsonErrorResponse.DevelopmentMessage">
            <summary>
            开发环境的消息
            </summary>
        </member>
        <member name="T:Tiobon.Core.Filter.GlobalRoutePrefixFilter">
            <summary>
            全局路由前缀公约
            </summary>
        </member>
        <member name="T:Tiobon.Core.SwaggerHelper.CustomRouteAttribute">
            <summary>
            自定义路由 /api/{version}/[controler]/[action]
            </summary>
        </member>
        <member name="P:Tiobon.Core.SwaggerHelper.CustomRouteAttribute.GroupName">
            <summary>
            分组名称,是来实现接口 IApiDescriptionGroupNameProvider
            </summary>
        </member>
        <member name="M:Tiobon.Core.SwaggerHelper.CustomRouteAttribute.#ctor(System.String)">
            <summary>
            自定义路由构造函数，继承基类路由
            </summary>
            <param name="actionName"></param>
        </member>
        <member name="M:Tiobon.Core.SwaggerHelper.CustomRouteAttribute.#ctor(Tiobon.Core.Extensions.CustomApiVersion.ApiVersions,System.String)">
            <summary>
            自定义版本+路由构造函数，继承基类路由
            </summary>
            <param name="actionName"></param>
            <param name="version"></param>
        </member>
    </members>
</doc>
